disarray_mpi.icc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

template<class Map >
void | _stash_set (Map &stash, typename Map::size_type dis_i, const typename Map::mapped_type &val, std::false_type)
template<class Map >
void | _stash_set_add (Map &stash, typename Map::size_type dis_i, const typename Map::mapped_type &val, std::false_type)
template<class MultiMap , class T >
void | _stash_set (MultiMap &stash, typename MultiMap::size_type dis_i, const T &val, std::true_type)
template<class MultiMap , class U >
void | _stash_set_add_multi (MultiMap &stash, typename MultiMap::size_type dis_i, const U &val, std::false_type)
template<class MultiMap , class U >
void | _stash_set_add_multi (MultiMap &stash, typename MultiMap::size_type dis_i, const U &val, std::true_type)
template<class MultiMap , class U >
void | _stash_set_add (MultiMap &stash, typename MultiMap::size_type dis_i, const U &val, std::true_type)